import { ReactNode } from 'react';
import type { RenderPlugins } from './render-lifecycle';
import type { SsrContent } from './ssr-content';
declare type RenderPluginsWithId = [key: string, hooks: RenderPlugins];
export declare class ReactSSR {
    private lifecycleHooks;
    constructor(lifecycleHooks: RenderPluginsWithId[]);
    /** render and rehydrate client-side */
    renderBrowser(children: ReactNode): Promise<void>;
    /** render dehydrated server-side */
    renderServer(children: ReactNode, { assets, browser, server }?: SsrContent): Promise<string>;
    private triggerBrowserInit;
    private triggerServerInit;
    private triggerBeforeHydrateHook;
    private triggerHydrateHook;
    private triggerBeforeRender;
    private getReactContexts;
    private deserialize;
    private serialize;
}
export {};
